gnutls_x509_crq_get_attribute_data(3)

NAME
gnutls_x509_crq_get_attribute_data - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crq_get_attribute_data(gnutls_x509_crq_t crq, unsigned indx, void * data, size_t * sizeof_data);

ARGUMENTS

gnutls_x509_crq_t crq
    should contain a gnutls_x509_crq_t type

unsigned indx
    Specifies which attribute number to get. Use (0) to get the first one.

void * data
    a pointer to a structure to hold the data (may be null)

size_t * sizeof_data
    initially holds the size of oid

DESCRIPTION
This function will return the requested attribute data in the certificate request. The attribute data will be stored as a string in the provided buffer. Use gnutls_x509_crq_get_attribute_info() to extract the OID. Use gnutls_x509_crq_get_attribute_by_oid() instead, if you want to get data indexed by the attribute OID rather than sequence.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error code in case of an error. If your have reached the last extension available GNUTLS_E_REQUESTED_DATA_NOT_AVAILABLE will be returned.

SINCE
2.8.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2017 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/